4 Replies Latest reply: Mar 8, 2012 11:02 AM by Brian Oliver RSS

    Building the latest release

      The latest release of the Incubator (from Friday 26th Feb) cannot be built using the bundled Ant files. All the Ant files contain the following line:
          <import file="../../tools/build/build-import.xml" />
      but the imported build-import.xml file is not available.

      It's not a show stopper as I can still build the code without Ant but does mean your build instructions on the Wiki are wrong

        • 1. Re: Building the latest release
          Hi Jonathan,

          Correct - we do have a slip-up with the latest release in terms of the build instructions. As the Incubator Project has evolved we have created a more elaborate build infrastructure internally to support more advanced testing and build tooling, and that is what you are seeing in terms of the import reference. For now, I suggest that you just ignore the build.xml in there and create one of your own.

          We will post back here when we have an updated instruction on how to build.

          • 2. Re: Building the latest release
            Updated build instructions for the latest release are now available here:

            • 3. Re: Building the latest release
              Those instructions are incomplete. They say nothing about resolving dependencies w/ ivy.

              Edited by: bfancher on Feb 13, 2012 2:53 PM
              • 4. Re: Building the latest release
                Brian Oliver
                Thanks for letting us know. Sorry for the confusion.

                Good news is that we're in the process of re-packaging the Incubator distribution, including source code and examples, into a form that will make all of this easy.

                The plan is to release this as Incubator 10 (Patch 5). It's been a little delayed due to ensuring Patch 4 was released (which occurred yesterday).

                We're starting on Patch 5 next week.

                -- Brian